Subject: Re: Non ANSI C ???
From: [email-masked] (Ross Johnson)

2 May 1998 22:48:27 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Alain CULOS <[email-masked]>
Cc: cygwin <[email-masked]>

On Thu, 30 Apr 1998, Alain CULOS wrote:

> Hi All,
> 
> I tried to compile this wonderfull POV-Ray package, the windows version, unfortunately it looks like it does not follow the correct C syntax (but I am only guessing as I'm a newby to C++ and mingw32).
> Or is there a possibility I am misusing make and gcc command line options ?
> 
> Here is an example of the type of code that does not compile :
> =========
> void CheckIt (ThisOne)
>   int ThisOne;
> {
>   DoItNow ();
> }
> =========
> I know for a fact that if I change it to :
> =========
> void CheckIt (int ThisOne)
> {
>   DoItNow ();
> }
> =========
> then it does work perfectly well.
> 
> Since POV-Ray is largish and I'd like to be able to use diff to compare newcoming versions, besides it being a big job, I'd like to avoid modifying every single file to comply with the correct syntax.
> Is there any command line option that allows the 'incorrect' syntax ?
> Else, is there any commonly available utility to convert all files automatically for me ?
> 

The protoize.exe command does this for you. The only doco I can find
immediately is this:

bash$ protoize --help
protoize: unrecognized option `--help'
usage 'protoize [ -VqfnkNlgC ] [ -B <diname> ] [ filename ... ]

Cheers.
Ross

+----------------------+---+
| Ross Johnson         |   | E-Mail: [email-masked]
| Info Sciences and Eng|___|
| University of Canberra   | FAX:    +61 6 2015227
| PO Box 1                 |
| Belconnen  ACT    2616   | WWW:    http://willow.canberra.edu.au/~rpj/
| AUSTRALIA                |
+--------------------------+

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".